ustrncpy(3)

NAME
ustrncpy

SYNOPSIS
#include <allegro.h>

char *ustrncpy(char *dest, const char *src, int n);

DESCRIPTION
This function is like ustrcpy() except that no more than n characters from src are copied into dest. If src is shorter than n characters, NULL characters are appended to dest as padding until n characters have been written. Note that if src is longer than n characters, dest will not be NULL-terminated. The return value is the value of dest.

SEE ALSO
uconvert(3), ustrcpy(3), ustrzncpy(3)